Subject: bug#48415: Subject: 27.2; Add filter-to-png support for user defined image formats

From: Stefan Kangas <[email-masked]>
Date: Sun, 31 Oct 2021 08:04:55 -0700

Dov Grobgeld <[email-masked]> writes:

> This is a feature request and not a bug.
>
> Background
>
> Within org-mode I often reference external image resources of
> hand drawn sketches that were drawn with the program krita. These
> have the extension kra.  Internally this file format is a zip
> file, with one of the entries being the image mergedimage.png . I
> would like to display such kra images in emacs inline, just like
> emacs can display any referenced png files.
>
> Another similar format is the OpenRaster file format (which is
> also a zip file with an embedded mergedimage.png), which by
> default has the extension .ora.
>
> Suggestion
>
> I suggest that the inline image display in emacs will
> be "extended" with a list of "filter functions" that map from a
> user define file extension- to a function that extracts and
> produces a png file. With such support it becomes trivial to
> support inline display of kra and ora files by writing a function
> that extracts the mergedimage.png from the zip file and supplies
> it to emacs.

Thanks for the bug report.

Could you send an example .kra image file and .ora image file?